Create Response
curl --request POST \
--url https://{baseurl}/api/v1/client/{workspaceId}/responses \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"hs8yd14l9h8u353tjmv6rzaw": "clicked",
"tcgls0063n8ri7dtrbnepcmz": "Who? Who? Who?"
},
"finished": false,
"meta": {
"action": "test action",
"source": "Postman API",
"url": "https://postman.com"
},
"surveyId": "{{surveyId}}",
"userId": "{{userId}}"
}
'import requests
url = "https://{baseurl}/api/v1/client/{workspaceId}/responses"
payload = {
"data": {
"hs8yd14l9h8u353tjmv6rzaw": "clicked",
"tcgls0063n8ri7dtrbnepcmz": "Who? Who? Who?"
},
"finished": False,
"meta": {
"action": "test action",
"source": "Postman API",
"url": "https://postman.com"
},
"surveyId": "{{surveyId}}",
"userId": "{{userId}}"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
hs8yd14l9h8u353tjmv6rzaw: 'clicked',
tcgls0063n8ri7dtrbnepcmz: 'Who? Who? Who?'
},
finished: false,
meta: {action: 'test action', source: 'Postman API', url: 'https://postman.com'},
surveyId: '{{surveyId}}',
userId: '{{userId}}'
})
};
fetch('https://{baseurl}/api/v1/client/{workspaceId}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "clvc3aool000p494jzjuukfzu"
}
}{
"code": "bad_request",
"details": {
"surveyId": "Invalid cuid2"
},
"message": "Fields are missing or incorrectly formatted"
}{
"code": "not_found",
"details": {
"resource_id": "hs8yd14l9h8u353tjmv6rzaw",
"resource_type": "Survey"
},
"message": "Survey not found"
}Client API - Response
Create Response
Create a response for a survey and it’s fields with the user’s responses. The userId & meta here is optional. Note - Environments are deprecated. Use Workspace/workspaceId terminology.
POST
/
api
/
v1
/
client
/
{workspaceId}
/
responses
Create Response
Path Parameters
Body
application/json
Response
OK
The response is of type object.
Was this page helpful?
⌘I